REM Create Garmin img files for Macedonia from NASA SRTM data

REM Disk space needed
REM SRTM Cache HGT files ~ 70MB
REM OSM files generated ~ 2GB
REM Garming img files ~ 2x 60MB

REM Fetch NASA SRTM (90m) files and create OSM contour files
Srtm2Osm\srtm2osm.exe -bounds1 40.78 20.35 41 21 -step 10 -cat 400 100 -o Srtm2Osm\srtm_mk_10m_1.osm
Srtm2Osm\srtm2osm.exe -bounds1 40.78 21 41 22 -step 10 -cat 400 100 -o Srtm2Osm\srtm_mk_10m_2.osm
Srtm2Osm\srtm2osm.exe -bounds1 40.78 22 41 23.16 -step 10 -cat 400 100 -o Srtm2Osm\srtm_mk_10m_3.osm
Srtm2Osm\srtm2osm.exe -bounds1 41 20.35 42 21 -step 10 -cat 400 100 -o Srtm2Osm\srtm_mk_10m_4.osm
Srtm2Osm\srtm2osm.exe -bounds1 41 21 42 22 -step 10 -cat 400 100 -o Srtm2Osm\srtm_mk_10m_5.osm
Srtm2Osm\srtm2osm.exe -bounds1 41 22 42 23.16 -step 10 -cat 400 100 -o Srtm2Osm\srtm_mk_10m_6.osm
Srtm2Osm\srtm2osm.exe -bounds1 42 20.35 42.45 21 -step 10 -cat 400 100 -o Srtm2Osm\srtm_mk_10m_7.osm
Srtm2Osm\srtm2osm.exe -bounds1 42 21 42.45 22 -step 10 -cat 400 100 -o Srtm2Osm\srtm_mk_10m_8.osm
Srtm2Osm\srtm2osm.exe -bounds1 42 22 42.45 23.16 -step 10 -cat 400 100 -o Srtm2Osm\srtm_mk_10m_9.osm

REM Convert OSM SRTM files to garming IMG files
java -Xmx1610m -ea -jar mkgmap.jar -n 62233901 --family-id=815 --product-id=1 --series-name="OSM MK SRTM" --family-name="OSM_MKD_SRTM" --country-name=MACEDONIA --country-abbr=MKD --description="OSM_MKD_SRTM" --style-file="Style" --style=srtm --ignore-osm-bounds --transparent --draw-priority=15 "Srtm2Osm\srtm_mk_10m_1.osm" 
java -Xmx1610m -ea -jar mkgmap.jar -n 62233902 --family-id=815 --product-id=1 --series-name="OSM MK SRTM" --family-name="OSM_MKD_SRTM" --country-name=MACEDONIA --country-abbr=MKD --description="OSM_MKD_SRTM" --style-file="Style" --style=srtm --ignore-osm-bounds --transparent --draw-priority=15 "Srtm2Osm\srtm_mk_10m_2.osm" 
java -Xmx1610m -ea -jar mkgmap.jar -n 62233903 --family-id=815 --product-id=1 --series-name="OSM MK SRTM" --family-name="OSM_MKD_SRTM" --country-name=MACEDONIA --country-abbr=MKD --description="OSM_MKD_SRTM" --style-file="Style" --style=srtm --ignore-osm-bounds --transparent --draw-priority=15 "Srtm2Osm\srtm_mk_10m_3.osm" 
java -Xmx1610m -ea -jar mkgmap.jar -n 62233904 --family-id=815 --product-id=1 --series-name="OSM MK SRTM" --family-name="OSM_MKD_SRTM" --country-name=MACEDONIA --country-abbr=MKD --description="OSM_MKD_SRTM" --style-file="Style" --style=srtm --ignore-osm-bounds --transparent --draw-priority=15 "Srtm2Osm\srtm_mk_10m_4.osm" 
java -Xmx1610m -ea -jar mkgmap.jar -n 62233905 --family-id=815 --product-id=1 --series-name="OSM MK SRTM" --family-name="OSM_MKD_SRTM" --country-name=MACEDONIA --country-abbr=MKD --description="OSM_MKD_SRTM" --style-file="Style" --style=srtm --ignore-osm-bounds --transparent --draw-priority=15 "Srtm2Osm\srtm_mk_10m_5.osm" 
java -Xmx1610m -ea -jar mkgmap.jar -n 62233906 --family-id=815 --product-id=1 --series-name="OSM MK SRTM" --family-name="OSM_MKD_SRTM" --country-name=MACEDONIA --country-abbr=MKD --description="OSM_MKD_SRTM" --style-file="Style" --style=srtm --ignore-osm-bounds --transparent --draw-priority=15 "Srtm2Osm\srtm_mk_10m_6.osm" 
java -Xmx1610m -ea -jar mkgmap.jar -n 62233907 --family-id=815 --product-id=1 --series-name="OSM MK SRTM" --family-name="OSM_MKD_SRTM" --country-name=MACEDONIA --country-abbr=MKD --description="OSM_MKD_SRTM" --style-file="Style" --style=srtm --ignore-osm-bounds --transparent --draw-priority=15 "Srtm2Osm\srtm_mk_10m_7.osm" 
java -Xmx1610m -ea -jar mkgmap.jar -n 62233908 --family-id=815 --product-id=1 --series-name="OSM MK SRTM" --family-name="OSM_MKD_SRTM" --country-name=MACEDONIA --country-abbr=MKD --description="OSM_MKD_SRTM" --style-file="Style" --style=srtm --ignore-osm-bounds --transparent --draw-priority=15 "Srtm2Osm\srtm_mk_10m_8.osm" 
java -Xmx1610m -ea -jar mkgmap.jar -n 62233909 --family-id=815 --product-id=1 --series-name="OSM MK SRTM" --family-name="OSM_MKD_SRTM" --country-name=MACEDONIA --country-abbr=MKD --description="OSM_MKD_SRTM" --style-file="Style" --style=srtm --ignore-osm-bounds --transparent --draw-priority=15 "Srtm2Osm\srtm_mk_10m_9.osm" 
REM DoNE

REM PAUSE